- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListLabelTypeinfoElement Class Reference

`#include <IWORKListLabelTypeinfoElement.h>`

Inheritance diagram for libetonyek::IWORKListLabelTypeinfoElement:

## Public Member Functions
| IWORKListLabelTypeinfoElement (IWORKXMLParserState &state, boost::optional< IWORKListLabelTypeInfo_t > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual void | attribute (int name, const char *value)
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()

## Private Attributes
boost::optional< IWORKListLabelTypeInfo_t > & | m_value
boost::optional< IWORKListLabelTypeInfo_t > | m_text
boost::optional< ID_t > | m_textRef
IWORKMediaContentPtr_t | m_image
boost::optional< ID_t > | m_imageRef
bool | m_isText
bool | m_isImage

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKListLabelTypeinfoElement::IWORKListLabelTypeinfoElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKListLabelTypeInfo_t > & | value
| ) |  |

## Member Function Documentation

void libetonyek::IWORKListLabelTypeinfoElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| private virtual

IWORKXMLContextPtr_t libetonyek::IWORKListLabelTypeinfoElement::element | ( | int | name | ) |
| private virtual

void libetonyek::IWORKListLabelTypeinfoElement::endOfElement | ( |  | ) |
| private virtual

## Member Data Documentation

IWORKMediaContentPtr_t libetonyek::IWORKListLabelTypeinfoElement::m_image
| private

Referenced by element(), and endOfElement().

boost::optional<ID_t> libetonyek::IWORKListLabelTypeinfoElement::m_imageRef
| private

Referenced by element(), and endOfElement().

bool libetonyek::IWORKListLabelTypeinfoElement::m_isImage
| private

Referenced by attribute(), and endOfElement().

bool libetonyek::IWORKListLabelTypeinfoElement::m_isText
| private

Referenced by attribute(), and endOfElement().

boost::optional<IWORKListLabelTypeInfo_t> libetonyek::IWORKListLabelTypeinfoElement::m_text
| private

Referenced by element(), and endOfElement().

boost::optional<ID_t> libetonyek::IWORKListLabelTypeinfoElement::m_textRef
| private

Referenced by element(), and endOfElement().

boost::optional<IWORKListLabelTypeInfo_t>& libetonyek::IWORKListLabelTypeinfoElement::m_value
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKListLabelTypeinfoElement.h
- IWORKListLabelTypeinfoElement.cpp